{
  config,
  pkgs,
  hostName,
  ...
}: {
  configFile."kitty/config.d" = {
    source = ./../../.config/kitty/config.d;
  };
  configFile."kitty/current-theme.conf" = {
    source = ./../../.config/kitty/current-theme.conf;
  };

  configFile."aerc/aerc.conf" = {
    # source = ./../../.config/aerc/aerc.conf;
    source = ./../../.config/aerc/aerc.conf.${hostName};
  };
  configFile."aerc/binds.conf" = {
    source = ./../../.config/aerc/binds.conf;
  };

  configFile."sway/config.d" = {
    source = ./../../.config/sway/config.d;
  };

  configFile."mako/dracula-mako" = {
    source = pkgs.fetchFromGitHub {
      owner = "dracula";
      repo = "mako";
      rev = "80caf30d59f8017e306519ca33609be75a86ebaf";
      sha256 = "sha256-qoQODX2435xfH9G6xOVFXitKy/75MaDU+tiQ/EsjRV4=";
    };
  };

  configFile."sheldon/plugins.toml" = {
    source = ./../../.config/sheldon/plugins.toml;
  };

  configFile."starship.toml" = {
    source = ./../../.config/starship.toml;
  };

  configFile."zathura/zathurarc" = {
    source = ./../../.config/zathura/zathurarc;
  };
  configFile."zathura/dracula-zathura" = {
    source = pkgs.fetchFromGitHub {
      owner = "dracula";
      repo = "zathura";
      rev = "b597b1537aa125e8829bef2cc57a0b0c6a6b35a1";
      sha256 = "sha256-g6vxwPw0Q9QFJBc3d4R3ZsHnnEvU5o1f4DSuyLeN5XQ=";
    };
  };

  configFile."qutebrowser/dracula" = {
    source = pkgs.fetchFromGitHub {
      owner = "dracula";
      repo = "qutebrowser-dracula-theme";
      rev = "ba5bd6589c4bb8ab35aaaaf7111906732f9764ef";
      sha256 = "sha256-av6laQezAOrBt6P+F2eHWFqAnTEENfDrvzEfhn2dDNY=";
    };
  };
  configFile."qutebrowser/stylesheets" = {
    source = ./../../.config/qutebrowser/stylesheets;
  };
  configFile."qutebrowser-work/config/stylesheets" = {
    source = ./../../.config/qutebrowser/stylesheets;
  };

  configFile."ccache/ccache.conf" = {
    source = ./../../.config/ccache/ccache.conf;
  };

  configFile."go/env" = {
    source = ./../../.config/go/env;
  };

  configFile."glow/glow.yml" = {
    source = ./../../.config/glow/glow.yml;
  };

  configFile."gtk-4.0/settings.ini" = {
    source = ./../../.config/gtk-4.0/settings.ini;
  };
  configFile."gtk-4.0/gtk.css" = {
    source = ./../../.config/gtk-4.0/gtk.css;
  };

  configFile."environment.d/sway-session.conf" = {
    source = ./../../.config/environment.d/sway-session.conf;
  };
}
